rte_compressdev_info(3)

NAME
rte_compressdev_info

SYNOPSIS

#include <rte_compressdev.h>

  Data Fields

const char * driver_name
uint64_t feature_flags
const struct rte_compressdev_capabilities * capabilities
uint16_t max_nb_queue_pairs

Detailed Description

comp device information

Definition at line 94 of file rte_compressdev.h.

Field Documentation

  const char* driver_name
Driver name.

Definition at line 95 of file rte_compressdev.h.

  uint64_t feature_flags
Feature flags

Definition at line 96 of file rte_compressdev.h.

  const struct rte_compressdev_capabilities* capabilities
Array of devices supported capabilities

Definition at line 97 of file rte_compressdev.h.

  uint16_t max_nb_queue_pairs
Maximum number of queues pairs supported by device. (If 0, there is no limit in maximum number of queue pairs)

Definition at line 99 of file rte_compressdev.h.

Author

Generated automatically by Doxygen for DPDK from the source code.